%define oname system-tools-backends
Summary:	GNOME System Tools Backends
Name: 		system-tools-backends2
Version: 2.6.1
Release: %mkrel 1
License: 	GPLv2+ and LGPLv2+
Group: 		System/Configuration/Other
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{oname}/%{oname}-%{version}.tar.bz2
Source1: system-tools-backends
Patch0:	system-tools-backends-2.6.0-mandriva.patch
#gw fix gettext installation
#http://bugzilla.gnome.org/show_bug.cgi?id=579044
Patch2: system-tools-backends-2.6.1-define-gettext-package.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
URL: 		http://www.gnome.org/projects/gst/
BuildRequires:	dbus-glib-devel
BuildRequires:	perl-Net-DBus
BuildRequires:	glib2-devel >= 2.15.2
BuildRequires:	polkit-devel
BuildRequires:	intltool
Requires(preun): rpm-helper
Requires(post): rpm-helper

%description
Day-to-day system management on Unix systems is a chore. Even when 
you're using a friendly graphical desktop, seemingly basic tasks 
like setting the system time, changing the network setup, importing 
and exporting network shared filesystems and configuring swap partitions 
requires editing configuration files by hand, and the exact procedure 
varies between different operating systems and distributions.

The GNOME System Tools solve all these problems, giving you a simple
graphical interface for each task, which uses an advanced backend to 
edit all the relevant files and apply your changes. The interface 
looks and acts in exactly the same way regardless of what platform 
you're using.

This package contains the backends of GNOME System Tools.

%prep
%setup -q -n %oname-%version
%patch0 -p1 -b .mandriva
%patch2 -p1
autoreconf

%build
#gw for backports, it has hardwired LOCALSTATEDIR/run as path
%define _localstatedir /var
%configure2_5x --with-stb-group=wheel
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
install -D -m 755 %SOURCE1 %buildroot%_initrddir/%oname
mkdir -p %buildroot%_localstatedir/cache/%oname
%find_lang %oname

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %oname
%preun
%_preun_service %oname

%files -f %oname.lang
%defattr(-, root, root)
%doc README AUTHORS NEWS 
%_initrddir/%oname
%config(noreplace) %_sysconfdir/dbus-1/system.d/system-tools-backends.conf
%_bindir/%oname
%_datadir/dbus-1/system-services/org.freedesktop.SystemToolsBackends*.service
%_datadir/PolicyKit/policy/system-tools-backends.policy
%_datadir/system-tools-backends-2.0/
%_libdir/pkgconfig/system-tools-backends-2.0.pc
%_localstatedir/cache/%oname




%changelog
* Wed Apr 15 2009 Götz Waschk <waschk@mandriva.org> 2.6.1-1mdv2009.1
+ Revision: 367523
- new version
- drop patch 1
- fix gettext package (b.g.o bug #579044)
- update file list
- fix installation
- add cache dir

* Fri Sep 12 2008 Götz Waschk <waschk@mandriva.org> 2.6.0-2mdv2009.0
+ Revision: 284069
- rediff patch for new mandriva versions
- fix build
- update license
- update build deps

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Sun Mar 09 2008 Götz Waschk <waschk@mandriva.org> 2.6.0-1mdv2008.1
+ Revision: 183039
- new version

* Wed Mar 05 2008 Götz Waschk <waschk@mandriva.org> 2.5.9-1mdv2008.1
+ Revision: 180146
- new version

* Tue Feb 12 2008 Götz Waschk <waschk@mandriva.org> 2.5.8-1mdv2008.1
+ Revision: 165740
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.5.7-1mdv2008.1
+ Revision: 159413
- new version

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.5.6-1mdv2008.1
+ Revision: 152174
- fix buildrequires
- new version
- new version
- update file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Götz Waschk <waschk@mandriva.org> 2.5.4-1mdv2008.1
+ Revision: 132038
- new version
- update file list

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.5.3-1mdv2008.1
+ Revision: 108686
- new version

* Tue Oct 30 2007 Götz Waschk <waschk@mandriva.org> 2.5.1-1mdv2008.1
+ Revision: 103738
- new version

* Thu Oct 04 2007 Götz Waschk <waschk@mandriva.org> 2.4.1-1mdv2008.1
+ Revision: 95304
- new version

* Sat Sep 15 2007 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2008.0
+ Revision: 85958
- new version

* Fri Sep 14 2007 Frederic Crozat <fcrozat@mandriva.com> 2.3.2-2mdv2008.0
+ Revision: 85510
- Update patch0 to detect 2008.0 correctly

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.3.2-1mdv2008.0
+ Revision: 79026
- new version

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.3.1-1mdv2008.0
+ Revision: 72382
- new version

* Tue Jul 10 2007 Götz Waschk <waschk@mandriva.org> 2.3.0-1mdv2008.0
+ Revision: 50939
- new version

* Tue Jun 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.2.1-2mdv2008.0
+ Revision: 44535
- a service is not a config file

* Fri Apr 20 2007 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 16235
- rename service (bug #30339


* Wed Apr 04 2007 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2007.1
+ Revision: 150473
- new version

* Fri Mar 16 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-3mdv2007.1
+ Revision: 144897
- add initscript

* Fri Mar 16 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-2mdv2007.1
+ Revision: 144884
- fix Mandriva patch

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdv2007.1
+ Revision: 141703
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - no need to package big ChangeLog when NEWS is already there

* Thu Mar 01 2007 Götz Waschk <waschk@mandriva.org> 2.1.4-1mdv2007.1
+ Revision: 130310
- new version

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 2.1.3-1mdv2007.1
+ Revision: 112293
- new version

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2007.1
+ Revision: 106365
- new version

* Mon Dec 04 2006 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdv2007.1
+ Revision: 90317
- new version

* Fri Dec 01 2006 Götz Waschk <waschk@mandriva.org> 2.1.0-1mdv2007.1
+ Revision: 89554
- use the right configure macro
- fix installation on x86_64
- new version
- make it arch-dependant
- update build deps and file list
- unpack patch

* Sun Nov 26 2006 Götz Waschk <waschk@mandriva.org> 2.0.0-1mdv2007.1
+ Revision: 87342
- new version

* Sun Nov 05 2006 Götz Waschk <waschk@mandriva.org> 1.9.91-1mdv2007.1
+ Revision: 76761
- new version

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 1.9.90-1mdv2007.1
+ Revision: 73042
- new version
- Import system-tools-backends2

* Sat Oct 07 2006 Götz Waschk <waschk@mandriva.org> 1.9.7-1mdv2007.1
- New version 1.9.7

* Sun Oct 01 2006 Götz Waschk <waschk@mandriva.org> 1.9.6-1mdv2007.0
- New version 1.9.6

* Wed Sep 13 2006 Götz Waschk <waschk@mandriva.org> 1.9.5.1-2mdv2007.0
- set stb group to wheel

* Tue Sep 12 2006 Götz Waschk <waschk@mandriva.org> 1.9.5.1-1mdv2007.0
- New version 1.9.5.1
- update file list

* Mon Aug 14 2006 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2007.0
- New release 1.9.3

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2007.0
- initial package

